Skip to navigation

Update Proforma Item

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

proforma_idstringRequiredformat: "uuid"
item_idstringRequiredformat: "uuid"

Request

This endpoint expects an object.
product_idstring or nullOptionalformat: "uuid"
descriptionstring or nullOptional
unitstring or nullOptional<=20 characters
quantityinteger or nullOptional
pricedouble or string or nullOptional
discount_percentdouble or string or nullOptional
tax_rate_idstring or nullOptionalformat: "uuid"

Response

Successful Response
idstringformat: "uuid"
proforma_invoice_idstringformat: "uuid"
quantityinteger
pricestringformat: "^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$"
product_idstring or nullOptionalformat: "uuid"
source_quotation_item_idstring or nullOptionalformat: "uuid"
descriptionstring or nullOptional
unitstringOptionalDefaults to unit
discount_percentstringOptionalformat: "^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$"Defaults to 0
tax_rate_idstring or nullOptionalformat: "uuid"
taxable_valuestringOptionalformat: "^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$"Defaults to 0
tax_amountstringOptionalformat: "^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$"Defaults to 0
line_totalstringOptionalformat: "^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$"Defaults to 0

Errors

422
Unprocessable Entity Error